# Generated from parser-2.3.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name parser

Name: rubygem-%{gem_name}
Version: 2.4.0.2
Release: 2%{?dist}.1
Summary: A Ruby parser written in pure Ruby
Group: Development/Languages
License: MIT
URL: https://github.com/whitequark/parser
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(racc) = 1.4.14
# BuildRequires: (rubygem(cliver) >= 0.3.2 with rubygem(cliver) < 0.4)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(kramdown)
# BuildRequires: (rubygem(minitest) >= 5.10 with rubygem(minitest) < 6)
# BuildRequires: (rubygem(simplecov) >= 0.15.1 with rubygem(simplecov) < 0.16)
# BuildRequires: rubygem(gauntlet)
BuildArch: noarch
# Fedora 32 has racc unbundled into a separate gem
Requires: rubygem(racc)

%description
A Ruby parser written in pure Ruby.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# Run the test suite
%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/ruby-parse
%{_bindir}/ruby-rewrite
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_instdir}/parser.gemspec
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/test

%changelog
* Thu Apr 23 2020 Oleg Girko <ol@infoserver.lv> - 2.4.0.2-2
- Require rubygem(racc) explicitly because Fedora 32 unbundles it from Ruby
* Tue May 22 2018 Oleg Girko <ol@infoserver.lv> - 2.4.0.2-1
- Update to 2.4.0.2
* Tue Apr 25 2017 Oleg Girko <ol@infoserver.lv> - 2.3.3.1-1
- Update to 2.3.3.1
* Mon Jun 27 2016 Oleg Girko <ol@infoserver.lv> - 2.3.1.2-1
- Initial package
